<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">
<head>
	<meta charset="UTF-8">
	<title class="browserTitle"></title>

	<!-- Latest compiled and minified CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">

	<!-- Boostrap Icons -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">

	<!-- Optional theme -->
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=PT+Sans">
	<link rel="stylesheet" type="text/css" href="/css/layout.css">



</head>
<body>
<div class="pageHeader container-fluid">
	<div class="row">
		<div class="col-md-8">
			<a href="index.html"><img id="logo" src=''></a>
		</div>
		<div id="userInfoDiv" class="col-md-4 text-end"></div>
	</div>
</div>
<div class="clearfix"></div>

<div class="container-fluid">
	<div class="row">
		<div class="col-xs-12 col-md-6 col-md-offset-3 mx-auto center-text">
			<h1 class="text-center headerText"></h1>
			<h2 class="text-center subHeader"></h2>
			<p id="error" class="bg-danger collapse">There was an error logging you in: <span id="error-details"></span></p>
			<p id="logout" class="bg-info collapse">You have been logged out.</p>
			<p class="text-center">
				<a class="btn btn-lg btn-danger bg-gradient border border-secondary loginHref" href=""></a>
				<div th:replace="adminLoginButton :: a (oidcUrl=${oidcIssuer})"></div>
			</p>
		</div>
	</div>
	<div class="row">
		<div class="mx-auto col-md-2">
			<div class="d-grid gap-2">
				<a href="logs.html?public=true" class="btn btn-sm btn-info bg-gradient border border-secondary"><span class="bi bi-files"></span> View published logs</a>
				<a href="plans.html?public=true" class="btn btn-sm btn-info bg-gradient border border-secondary"><span class="bi bi-bookmarks"></span> View published plans</a>
			</div>
		</div>
	</div>
</div>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.min.js" integrity="sha384-cuYeSxntonz0PPNlHhBs68uyIAVpIIOZZ5JqeqvYYIcEL727kskC66kF92t6Xl2V" crossorigin="anonymous"></script>

<footer class="pageFooter">
	<div class="row">
		<span class="muted"><div class="brandDesc"></div><br /></span>
		<span class="muted"></span><a href="https://raidiam.com"><img src="/images/raidiam.png" width="285" height="32" alt="Raidiam"></a></span>
		<div class="serverInfo"></div>
	</div>
</footer>

<script type="text/javascript">
	document.addEventListener("DOMContentLoaded", () => {
		var urlParams = new URLSearchParams(window.location.search);

		var error = urlParams.get('error');
		var logout = urlParams.get('logout');

		if (error) {
			document.getElementById('error').classList.add('show');
			document.getElementById('error-details').textContent = error;
		}

		if (logout) {
			document.getElementById('logout').classList.add('show');
		}
		loadServerInfo();
	});
	function loadServerInfo() {
		return fetch('/api/server')
				.then((response) => response.json())
				.then((data) => {
					const browserTitle = document.querySelector('.browserTitle');
					browserTitle.textContent = `${data.brand} Functional Conformance: Login`;

					const brandDesc = document.querySelector('.brandDesc');
					brandDesc.textContent = `${data.brand} Functional Conformance Suite - Brought to you by Raidiam, with thanks to the OpenID Foundation`;

					const logo = document.querySelector('#logo');
					logo.src = `/images/${data.logo}`;

					const headerText = document.querySelector('.headerText');
					headerText.textContent = `Login to the ${data.brand} Functional Conformance Suite`;

					const subHeader = document.querySelector('.subHeader');
					subHeader.textContent = data.installation;

					const loginHref = document.querySelector('.loginHref');
					loginHref.href = `/openid_connect_login?iss=${data.issuer}`;
					loginHref.textContent = `Login with ${data.brand}`;
				});
	}
</script>


</body>
</html>
